org.wildfly.swarm.config.ejb3.service

## Class FileDataStore<T extends FileDataStore<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ejb3.service.FileDataStore<T>

-     public class FileDataStore<T extends FileDataStore<T>>
      extends Object

  A JVM local file store that stores persistent EJB timers

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDataStore(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `path()` The directory to store persistent timer information in
    `T` | `path(String value)` The directory to store persistent timer information in
    `String` | `relativeTo()` The relative path that is used to resolve the timer data store location
    `T` | `relativeTo(String value)` The relative path that is used to resolve the timer data store location
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileDataStore

          public FileDataStore(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### path

          public String path()

      The directory to store persistent timer information in

    - #### path

          public T path(String value)

      The directory to store persistent timer information in

    - #### relativeTo

          public String relativeTo()

      The relative path that is used to resolve the timer data store location

    - #### relativeTo

          public T relativeTo(String value)

      The relative path that is used to resolve the timer data store location

Copyright © 2017 JBoss by Red Hat. All rights reserved.